
Foreman - Bug #8055

missing stylesheets in apidoc

10/23/2014 10:41 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: API   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1155539 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1155539

Description of problem:

CSS stylesheets and javascript linked from API documentation (fqdn/apidoc) return HTTP 404

Version-Release number of selected component (if applicable):

foreman-1.7.0-0.develop.201410211355gite14b575.el7.noarch

Related issues:

Related to Foreman - Feature #7230: Upgrade Ruby on Rails to 4.1 Closed 08/22/2014

History

#1 - 10/23/2014 10:42 AM - Dominic Cleal

- Category set to API

I usually see this locally and on a package install.  Maybe only when the apipie cache is present, and it uses a different serving method?

#2 - 03/18/2015 12:57 PM - Ivan Necas

The issue was fixed in apipie-rails upstream in this PR https://github.com/Apipie/apipie-rails/pull/315, released as part of 0.3.1 release. The patch is

compatible with the version we're currently using, also, the 0.3.x version should be backward compatible with the 0.2.x, we have right now (the

versioning was increased due to number of features we had)

#3 - 07/23/2015 05:02 AM - Ohad Levy

- Assignee set to Alon Goldboim

#4 - 08/16/2015 07:27 AM - Alon Goldboim

- Status changed from New to Resolved

Ivan is right, tested and working well.

#5 - 08/17/2015 03:25 AM - Dominic Cleal

- Status changed from Resolved to New

- Assignee deleted (Alon Goldboim)

We have apipie-rails pinned to 0.2.x, so I don't see why we'd have the patch available.  It simply needs updating to get the fix.

#6 - 12/22/2015 04:19 AM - Dominic Cleal

- Related to Feature #7230: Upgrade Ruby on Rails to 4.1 added

#7 - 12/22/2015 04:19 AM - Dominic Cleal

- Status changed from New to Closed
- % Done changed from 0 to 100

- translation missing: en.field_release set to 71

apipie-rails was updated to 0.3.x in #7230, closing.
